rm -rf ~/ENV37
python3.7 -m venv ~/ENV37
source ~/ENV37/bin/activate

PYTHON=${HOME}/ENV37/bin/python
PIP==${HOME}/ENV37/bin/python

${PIP} install cloudmesh-common

${PIP} install pip -U 

#
# PYTHON
#
${PIP} install pytest
${PIP} install requests

#
# MATH
#
${PIP} install pandas
${PIP} install numpy
${PIP} install matplotlib
${PIP} install scipy
${PIP} install sklearn
${PIP} install scikit-learn

#
# DATA
#
${PIP} install us
${PIP} install xlrd

#
# Graphics
#
${PIP} install bokeh
${PIP} install colorcet
${PIP} install seaborn
${PIP} install hvplot
${PIP} install qgrid
${PIP} install bqplot
#${PIP} install viola

#
# Tensorflow & Co.
#
${PIP} install tensorflow
# ${PIP} install tensorflow-gpu
${PIP} install Keras
${PIP} install torch

#
# Jupyterlab
#
${PIP} install jupyterlab

${PIP} install qgrid
jupyter labextension install @jupyter-widgets/jupyterlab-manager
jupyter labextension install qgrid2
#jupyter labextension install @jupyter-voila/jupyterlab-preview
#jupyter labextension install bqplot
